[arch-commits] CVS update of extra/lib/dbus-qt3 (3 files)

Jan de Groot jgc at archlinux.org
Thu Dec 27 00:42:26 UTC 2007


    Date: Wednesday, December 26, 2007 @ 19:42:26
  Author: jgc
    Path: /home/cvs-extra/extra/lib/dbus-qt3

   Added: dbus-qt3-compile-fix-thoenig-01.patch (1.1)
          dbus-qt3-do-not-close-shared-connection-thoenig-01.patch (1.1)
Modified: PKGBUILD (1.3 -> 1.4)

upgpkg: dbus-qt3 0.62-3
Add two patches from opensuse, change source location


----------------------------------------------------------+
 PKGBUILD                                                 |   23 ++-
 dbus-qt3-compile-fix-thoenig-01.patch                    |   85 +++++++++++++
 dbus-qt3-do-not-close-shared-connection-thoenig-01.patch |   12 +
 3 files changed, 112 insertions(+), 8 deletions(-)


Index: extra/lib/dbus-qt3/PKGBUILD
diff -u extra/lib/dbus-qt3/PKGBUILD:1.3 extra/lib/dbus-qt3/PKGBUILD:1.4
--- extra/lib/dbus-qt3/PKGBUILD:1.3	Sat Nov 10 10:11:21 2007
+++ extra/lib/dbus-qt3/PKGBUILD	Wed Dec 26 19:42:26 2007
@@ -1,22 +1,29 @@
-# $Id: PKGBUILD,v 1.3 2007/11/10 15:11:21 pierre Exp $
+# $Id: PKGBUILD,v 1.4 2007/12/27 00:42:26 jgc Exp $
 # Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=dbus-qt3
 pkgver=0.62
-pkgrel=2
+pkgrel=3
 pkgdesc="QT3 bindings for DBUS"
 arch=(i686 x86_64)
+license=('GPL')
 url="http://www.freedesktop.org/software/dbus"
-depends=('qt3' 'dbus>=0.93')
+depends=('qt3' 'dbus>=1.0.2')
 makedepends=('pkgconfig')
-options=('nolibtool')
-source=(http://www.archlinux.org/~jgc/dbus/dbus-qt3_0.62.git.20060814.orig.tar.gz)
-md5sums=('bdc61add46f64238fdc68a15e5f7269c')
+options=('!libtool')
+source=(ftp://ftp.archlinux.org/other/dbus/dbus-qt3_0.62.git.20060814.orig.tar.gz
+	dbus-qt3-compile-fix-thoenig-01.patch
+	dbus-qt3-do-not-close-shared-connection-thoenig-01.patch)
+md5sums=('bdc61add46f64238fdc68a15e5f7269c'
+         '6c7a45865568340ee601d31e184653c1'
+         '9252c03a00d751201e53839d6a8ef78f')
 
 build() {
   . /etc/profile.d/qt3.sh
-
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${startdir}/src/${pkgname}-${pkgver}/qt3
+  patch -Np1 -i ${startdir}/src/dbus-qt3-compile-fix-thoenig-01.patch || return 1
+  patch -Np1 -i ${startdir}/src/dbus-qt3-do-not-close-shared-connection-thoenig-01.patch || return 1
+  cd ..
   ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var
   sed -e "s|DBUS_QT3_LIBS =|DBUS_QT3_LIBS = -L${QTDIR}/lib -lqt-mt|" \
       -i Makefile qt3/Makefile || return 1
Index: extra/lib/dbus-qt3/dbus-qt3-compile-fix-thoenig-01.patch
diff -u /dev/null extra/lib/dbus-qt3/dbus-qt3-compile-fix-thoenig-01.patch:1.1
--- /dev/null	Wed Dec 26 19:42:26 2007
+++ extra/lib/dbus-qt3/dbus-qt3-compile-fix-thoenig-01.patch	Wed Dec 26 19:42:26 2007
@@ -0,0 +1,85 @@
+--- dbus-qt3/connection.cpp	2005-04-18 05:19:17.000000000 -0600
++++ dbus-qt3/connection.cpp	2005-04-19 14:35:07.000000000 -0600
+@@ -154,6 +154,7 @@
+ 
+ void* Connection::virtual_hook( int, void*  )
+ {
++  return (void *)NULL;
+ }
+ 
+ void Connection::dbus_connection_setup_with_qt_main (DBusConnection *connection)
+--- dbus-qt3/message.cpp	2005-04-18 05:19:17.000000000 -0600
++++ dbus-qt3/message.cpp	2005-04-19 14:55:32.000000000 -0600
+@@ -359,6 +359,7 @@
+ Message Message::operator=( const Message& other )
+ {
+   //FIXME: ref the other.d->msg instead of copying it?
++  return (Message &)(d->msg);
+ }
+ /**
+  * Destructs message.
+@@ -508,42 +509,49 @@
+   const dbus_bool_t right_size_bool = b;
+   dbus_message_append_args( d->msg, DBUS_TYPE_BOOLEAN, &right_size_bool,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( Q_INT8 byte )
+ {
+   dbus_message_append_args( d->msg, DBUS_TYPE_BYTE, &byte,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( Q_INT32 num )
+ {
+   dbus_message_append_args( d->msg, DBUS_TYPE_INT32, &num,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( Q_UINT32 num )
+ {
+   dbus_message_append_args( d->msg, DBUS_TYPE_UINT32, &num,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( Q_INT64 num )
+ {
+   dbus_message_append_args( d->msg, DBUS_TYPE_INT64, &num,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( Q_UINT64 num )
+ {
+   dbus_message_append_args( d->msg, DBUS_TYPE_UINT64, &num,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( double num )
+ {
+   dbus_message_append_args( d->msg, DBUS_TYPE_DOUBLE, &num,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( const QString& str )
+@@ -551,11 +559,13 @@
+   const char *u = str.utf8();
+   dbus_message_append_args( d->msg, DBUS_TYPE_STRING, &u,
+                             DBUS_TYPE_INVALID );
++  return (Message &)(d->msg);
+ }
+ 
+ Message& Message::operator<<( const QVariant& custom )
+ {
+   //FIXME: imeplement
++  return (Message &)(d->msg);
+ }
+ 
+ }
+
Index: extra/lib/dbus-qt3/dbus-qt3-do-not-close-shared-connection-thoenig-01.patch
diff -u /dev/null extra/lib/dbus-qt3/dbus-qt3-do-not-close-shared-connection-thoenig-01.patch:1.1
--- /dev/null	Wed Dec 26 19:42:26 2007
+++ extra/lib/dbus-qt3/dbus-qt3-do-not-close-shared-connection-thoenig-01.patch	Wed Dec 26 19:42:26 2007
@@ -0,0 +1,12 @@
+--- dbus-qt3/connection.cpp 2006-10-20 16:33:29.000000000 +0200
++++ dbus-qt3/connection.cpp   2006-10-20 16:33:10.000000000 +0200
+@@ -106,7 +106,7 @@
+ 
+ void Connection::close()
+ {
+-  dbus_connection_close( d->connection );
++  dbus_connection_unref ( d->connection );
+ }
+ 
+ void Connection::flush()
+




More information about the arch-commits mailing list